MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001275Slicer4Core: Building (CMake, Superbuild)public2011-07-13 08:282012-08-21 09:43
Reporterhaehn 
Assigned Tojcfr 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformIntel 64OSMac OS XOS Version10.6.4
Product VersionSlicer 4.0.0 
Target VersionSlicer 4.0.0Fixed in VersionSlicer 4.0.0 
Summary0001275: Problem building on Mac concerning Qt Ui Tools
DescriptionCMake 2.8.3
Qt 4.7 or Qt 4.73 SDKs installed as binaries
Mac OS X Snow Leopard 10.6.8
Slicer svn rev. 17464

The Qt Ui Tools include directory is not found automatically resulting in the following build error


CMake Error: The following variables are used in this project, but
they are set to NOTFOUND.
Please set them or make sure they are set and tested correctly in the
CMake files:
QT_QTUITOOLS_INCLUDE_DIR (ADVANCED)
  used as include directory in directory /Users/daniel/SLICER/QT_TRUNK/Slicer4

-- Configuring incomplete, errors occurred!
make: *** [cmake_check_build_system] Error 1
13:40:44 daniel@sbia-pc66:~/SLICER/QT_TRUNK/Slicer4-Superbuild$

WORKAROUND:

manually set

QT_QTUITOOLS_INCLUDE_DIR
to
/usr/include/QtUiTools

The destination of the UiTools is different than the other Qt libraries which are at /Library/Frameworks/Qt*.framework

TagsNo tags attached.
Attached Files

- Relationships
related to 0001290closedjcfr Slicer4 Building Error on Mac - path of Qt UI Tools 
related to 0001330closedjcfr QT_QTUITOOLS_INCLUDE_DIR doesn't persist in CMakeCache files 

-  Notes
(0002771)
jcfr (administrator)
2011-08-22 06:50

Should be fixed in current CMake master (commit 702538e)

See http://cmake.org/gitweb?p=cmake.git;a=commit;h=702538e [^]
(0002793)
haehn (developer)
2011-08-25 09:35

I can confirm that it's fixed
(0002914)
jcfr (administrator)
2011-09-05 13:39

Using cmake-2.8.6 will avoid the problem

- Issue History
Date Modified Username Field Change
2011-07-13 08:28 haehn New Issue
2011-07-13 08:28 haehn Status new => assigned
2011-07-13 08:28 haehn Assigned To => jcfr
2011-08-22 06:50 jcfr Note Added: 0002771
2011-08-25 09:29 finetjul Relationship added related to 0001290
2011-08-25 09:30 finetjul Relationship added related to 0001330
2011-08-25 09:35 haehn Note Added: 0002793
2011-09-05 13:39 jcfr Note Added: 0002914
2011-09-05 13:39 jcfr Status assigned => closed
2011-09-05 13:39 jcfr Resolution open => fixed
2011-09-05 13:39 jcfr Product Version => Slicer 4.0 RSNA
2011-09-15 19:51 finetjul Fixed in Version => Slicer 4.0 RSNA
2012-08-21 09:43 jcfr Target Version => Slicer 4.0.0


Copyright © 2000 - 2016 MantisBT Team
Powered by Mantis Bugtracker